Method: projects.locations.jobs.delete

Deletes a batch job.

HTTP request

DELETE https://storagebatchoperations.googleapis.com/v1/{name=projects/*/locations/*/jobs/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the job to delete. Format: projects/{projectId}/locations/global/jobs/{jobId}.

Query parameters

Parameters
requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID in case you need to retry your request. Requests with same requestId are ignored for at least 60 minutes since the first request. The request ID must be a valid UUID with the exception that zero UUID isn't supported (00000000-0000-0000-0000-000000000000).

force

boolean

Optional. If set to true, any child bucket operations of the job are deleted. We recommend setting this to true. You can't mutate bucket operations directly, so only the jobs.delete permission is required to delete a job (and its child bucket operations).

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • storagebatchoperations.jobs.delete

For more information, see the IAM documentation.